<?php
// Software released under the General Public License (version 2 or later), available at
// http://www.gnu.org/copyleft/gpl.html

/****************************************************************************************
Contains constants common to all astrologies.

@license  GPL
@author   <a href="http://www.tig12.net">Thierry Graff</a>
@history 2008.09.13 10:20 : Creation
****************************************************************************************/

class AstrologyConstants{
  
  //*********************************************************
  //                Chart layouts
  //*********************************************************
  /** Round western chart, planets drawn outside the zodiac */
  const ROUND1 = 'round1';
  /** Round western chart, planets drawn inside the zodiac */
  const ROUND2 = 'round2';
  /** Square vedic chart, houses drawn horizontally and vertically */
  const SQUARE1 = 'square1';
  /** Square vedic chart, houses drawn oblic */
  const SQUARE2 = 'square2';
  
  /** Array containing constants of all available chart layouts */
  public static $CHART_LAYOUTS = array(
    ROUND1,
    ROUND2,
    SQUARE1,
    SQUARE2,
  );
  
  
}//end class
?>
